# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Member Functions | Protected Member Functions

# vl::FBOTextureAttachment Class Reference

A texture renderbuffer to be attached to a FBORenderTarget (wraps `glFramebufferTexture()`). More...

`#include <FramebufferObject.hpp>`

Inheritance diagram for vl::FBOTextureAttachment:

List of all members.

## Public Member Functions

virtual const char * | className ()
| Returns the name of the class.
| FBOTextureAttachment (Texture *texture, int mipmap_level)
| Constructor.

## Protected Member Functions

virtual void | bindAttachment (FBORenderTarget *fbo, EAttachmentPoint attach_point)

## Detailed Description

A texture renderbuffer to be attached to a FBORenderTarget (wraps `glFramebufferTexture()`).

See also:
  http://www.opengl.org/sdk/docs/man3/xhtml/glFramebufferTexture.xml

Definition at line 394 of file FramebufferObject.hpp.

## Constructor & Destructor Documentation

vl::FBOTextureAttachment::FBOTextureAttachment | ( | Texture * | texture,
|  | int | mipmap_level
| ) |  | `[inline]`

Constructor.

Definition at line 400 of file FramebufferObject.hpp.

References VL_DEBUG_SET_OBJECT_NAME.

## Member Function Documentation

virtual const char* vl::FBOTextureAttachment::className | ( | ) | `[inline, virtual]`

Returns the name of the class.

Reimplemented from vl::FBOAbstractTextureAttachment.

Definition at line 397 of file FramebufferObject.hpp.

void FBOTextureAttachment::bindAttachment | ( | FBORenderTarget * | fbo,
|  | EAttachmentPoint | attach_point
| ) |  | `[protected, virtual]`

Implements vl::FBOAbstractAttachment.

Definition at line 413 of file FramebufferObject.cpp.

References vl::FBOAbstractTextureAttachment::mipmapLevel(), vl::TD_TEXTURE_2D_MULTISAMPLE, vl::FBOAbstractTextureAttachment::texture(), VL_CHECK, VL_CHECK_OGL, and vl::VL_glFramebufferTexture().

The documentation for this class was generated from the following files:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/FramebufferObject.hpp
- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/FramebufferObject.cpp

Visualization Library v2011.05.1142 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu May 26 2011 22:51:41.
Permission is granted to use this page to write and publish articles regarding Visualization Library.